#ifndef _angle_limitter_h
#define _angle_limitter_h

#include "Pa10Controller.h"

class Pa10;

class AngleLimitter {
public:
    virtual void Init (Pa10Controller* controller) = 0;
    virtual void Init (Pa10Controller* controller, const float fLimitAngle[7][2]) = 0; // limit angles to set, [0]:min, [1]:max
    virtual void DoLimitter (VELMODE vmode, AXIS axes) = 0; // vmode is velocity control mode at call time.
				// Non-velocity mode is (VELMODE)0
};

#endif // _angle_limitter_h
