/********************************************************
*	                    		 			            *
*   MODULE NAME  : commond.h			                *
*     						                            *
*   FUNCTION     : Common Literal & Type Definitions    *
*     						                            *
*   CODED	     : M.Takahashi  on '98.10.23	        *
*     					                                *
*   MODIFIED     : Woo-Keun Yoon on 1999.01.16	 		*
*     						                            *
********************************************************/

/*** Type Definitions ***/

/* Rotation & Shift Matrix */
typedef struct
{
  double noa[3][3];      /* Rotation   noa[XYZ][NOA]  */
  double	xyz[3];      /* Shift	   xyz[XYZ]       */
} ZNOAP;

