#ifndef __EndEffectorImpl_h_
#define __EndEffectorImpl_h_

#include "EndEffector.h"

class EndEffectorImpl : public EndEffector {
  private:
    ENDEFFECTOR_TYPE myType;
    SCALAR myMass;
    Matrix3x3 myMomentOfInertia;
    Pos myCenterOfGravity;

// accessors
  public:
    EndEffectorImpl(ENDEFFECTOR_TYPE);
    virtual void init(void) = 0;
    void setType(ENDEFFECTOR_TYPE);
    void setMass(const SCALAR);
    void setMomentOfInertia(const Matrix3x3);
    void setCenterOfGravity(const Pos);
    ENDEFFECTOR_TYPE getType(void);
    SCALAR getMass(void);
    void getMomentOfInertia(Matrix3x3&);
    void getCenterOfGravity(Pos&);
};

#endif
