#ifndef __ForceAndFrame_h_
#define __ForceAndFrame_h_
#include "DataType.h"

/*!
 *  @file ForceAndFrame.h
 *  @class ForceAndFrame
 *  @brief ¬ϥǡȰֻǡǼѥ饹
 *         SingletonǤ롥
 *
*/ 
class ForceAndFrame
{
  public:
    virtual ~ForceAndFrame();
    static ForceAndFrame * createForceAndFrame(int dataNumber);

    void init(void);
    int set(const int index, const int count, const DoubleVec& force, const Frame& frame);
    int get(const int index, int& count, DoubleVec& force, Frame& frame);

  protected:
    ForceAndFrame(int dataNumber);

  private:
    static ForceAndFrame * m_forceAndFrame;
    int m_dataNumber;
    int* m_count;
    DoubleVec* m_force;
    Frame* m_frame;
};

#endif
