#ifndef __Gripper_h_
#define __Gripper_h_

#include "SingleArm.h"

class Gripper
{
public: 
  Gripper(){};
  virtual ~Gripper(){};
    virtual void init(void) = 0;
    virtual SA_ERR getError(void) = 0;
    virtual void setError(SA_ERR) = 0;
    virtual int stat(void) = 0;
    virtual void output(int val) = 0;
    virtual void open(void) = 0;
    virtual void close(void) = 0;
    virtual void stop(void) = 0;
};

#endif
