#ifndef __MUGRIPPERPALIB_H
#define __MUGRIPPERPALIB_H

#include "PalibController.h"
#include "MuGripper.h"

class MuGripperPalib : public MuGripper {

public:
#if (defined VXPALIB) || (defined ARTPALIB)
  MuGripperPalib(ARM armNo);
#else
  MuGripperPalib(){};
#endif
  ~MuGripperPalib(){};
  void open(void);
  void output(int val);
  void close(void);
  void stop(void);
  int stat(void);


private:  
  PalibController * controller;
  ARM m_armNo;
};

#endif
