/*!
*   @file  PalibDataTypeConversion.h
*   @brief 
*/
#ifndef __PalibDataTypeConversion_h__
#define __PalibDataTypeConversion_h__

//#define VXPALIB
#include "Palib.h"
#include "DataType.h"

// PalibDataTypeConversion.cpp
void ang2ang7(const ANGLE& ang, Angle7& ang7);
void ang72ang(const Angle7& ang7, ANGLE& ang);
void m2f(const MATRIX& noa, Frame& f);
void f2m(const Frame& f, MATRIX& noa);
void printANGLE(const ANGLE ang);

/*
Angle7& operator=(ANGLE);
ANGLE& operator=(Angle7);
MATRIX& operator=(Frame);
Frame& operator=(MATRIX);
*/
#endif
