/* Copyright 2003 Kosei Kitagaki */

/*
modification history
--------------------
01a,10jan03,kk  first issue
*/

#ifndef __pseudoContactPoint_h_
#define __pseudoContactPoint_h_

#include "ExFtSensor.h"

class PseudoContactPoint {
  public:
	PseudoContactPoint(ExFtSensor* theExFtSensor);
	void getPcRefPoint(Pos& p);
	void setPcRefPoint(const Pos& p);
	void getPcPoint(Pos& p, DoubleVec& f);
	void getPcPointByGivenForce(Pos& p, const DoubleVec& f);

  private:
	Pos pcRefPoint;
	ExFtSensor *myExFtSensor;
};
#endif
