// -*- C++ -*-
#ifndef ___POOLDATA_H___
#define ___POOLDATA_H___

#include <string>
#include <deque>
#include <fstream>
#include <sstream>
#include <rtm/idl/BasicDataTypeSkel.h>

using namespace std;

class PoolData {
  int size;
  deque<string> data;
  int count;
  bool full;
  string output_filename;
  char m_capture[256];
  int m_dataNumber;

  string createLine(unsigned long sec, unsigned long nsec, RTC::TimedFloatSeq val);
public:
  PoolData();
  virtual ~PoolData() {}

  void SetConf(const char* capture, int dataNumber);
  void SetOutputFilename(string file) {output_filename = file;}
  void SetData(unsigned long sec, unsigned long nsec, RTC::TimedFloatSeq val);
  void SetDataSize(long num);
  void Output(void);
  void Reset(void);
};

#endif
