typedef struct{
  double XrefR[6];
  double XrefL[6];

  double XcurR[6];
  double XcurL[6];

  double Be_XcurR[6];
  double Be_XcurL[6];

  double FrefR[6];
  double FrefL[6];

  double FcurR[6];
  double FcurL[6];

  double VR[6];
  double VL[6];

  /* for position */
  double Kxp;
  double Kfp;
  double Krp;

  /* for rotation */
  double Kxr;
  double Kfr;
  double Krr;

  /* for dumping */
  double Dp;
  double Dr;

  /* current tip velocity */
  double VcurR[6];
  double VcurL[6];

  /* refference tip velocity */
  double VrefR[6];
  double VrefL[6];

} COMP;

