#ifndef _SERVO_ART_PA10_H
#define _SERVO_ART_PA10_H

#include "/usr/src/linux/include/linux/art_task.h"

typedef struct{

  unsigned char	SendPacketR[256];   /* SD Хåե   */
  unsigned char	RecvPacketR[256];   /* SD μХåե   */
  unsigned char	RecvPacketRD1[256]; /* SD_R1 μХåե   */
  unsigned char	RecvPacketRD2[256]; /* SD_R2 μХåե   */
  unsigned char	RecvPacketRD3[256]; /* SD_R3 μХåե   */
  unsigned char	RecvPacketRD4[256]; /* SD_R4 μХåե   */
  unsigned char	RecvPacketRT[256];  /* ¾  μХåե */
  
  unsigned char	SendPacketL[256];   /* SD Хåե   */
  unsigned char	RecvPacketL[256];   /* SD μХåե   */
  unsigned char	RecvPacketLD1[256]; /* SD_L1 μХåե   */
  unsigned char	RecvPacketLD2[256]; /* SD_L2 μХåե   */
  unsigned char	RecvPacketLD3[256]; /* SD_L3 μХåե   */
  unsigned char	RecvPacketLD4[256]; /* SD_L4 μХåե   */
  unsigned char	RecvPacketLT[256];  /* ¾  μХåե */

} SERVO;


typedef struct {

  double right[7];
  double left[7];

} POSITION;

typedef struct{

  double enter[7];
  double exit[7];

} TRAJE;


/* ܥɥ饤Фؤǡեޥå */
typedef struct {

  //  unsigned char      Status; /* ơ */
  unsigned short int Status; /* ơ */
  unsigned short int Tolk;   /* ȥ륯(ή͡*/
  unsigned short int Speed;  /*  ®ٻ */

} C_COM;


typedef struct {
  unsigned char Code;  /* ǡμ */
  C_COM	DriveR[7];     /*  */
  C_COM	DriveL[7];
} SEND_SD;


typedef struct{
  int    Flag[2];
  double TipPosition[6];
  double TipForce[6];
} BIRATERAL;

typedef struct{
  //  int    wake;
  int    end;
  int    stay;
  int    right_on;
  int    left_on;
} MODE;


#endif /* _SERVO_ART_PA10_H */
