#ifndef __Constant_h
#define __Constant_h

/* definitions */
#define GRAVITY 9.8	// Gravity acceralation 9.8 m/s/s

#ifndef PI
#define PI 3.14159265758979323
#endif

/*
	Convert
*/
#define DEG2RAD	(PI/180.0)
#define RAD2DEG	(180.0/PI)
#define DEG180	(PI)
#define DEG110	(110.0*DEG2RAD)
#define DEG90	(90.0*DEG2RAD)
#define DEG65	(65.0*DEG2RAD)
#define DEG60	(60.0*DEG2RAD)
#define DEG45	(45.0*DEG2RAD)
#define DEG30	(30.0*DEG2RAD)
#define SIN45	0.70710678
#define COS45	0.70710678

#define	D2R(deg)	((deg)*PI/180.0)
#define	R2D(rad)	((rad)*180.0/PI)

#endif
