/*!
*   @file SubDataType.h
*   @brief
*/
#ifndef __SUBDATATYPE_H_
#define __SUBDATATYPE_H_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// saitoo
#include <iostream> 
using namespace std;

#ifndef _MSC_VER
typedef char * LPTSTR;
typedef const char * LPCTSTR;
#endif

#ifndef SCALAR
#define SCALAR double
#endif

#ifndef ESP
#define ESP (1.0E-5)
#endif

#ifndef PI
#define PI 3.1415926563
#endif

typedef float FLOAT3[3];
typedef float FLOAT6[6];
typedef float FLOAT7[7];
typedef float FLOAT3x3[3][3];
typedef double DOUBLE3[3];
typedef double DOUBLE6[6];
typedef double DOUBLE7[7];
typedef double DOUBLE3x3[3][3];
typedef SCALAR SCALAR3[3];
typedef SCALAR SCALAR6[6];
typedef SCALAR SCALAR7[7];
typedef SCALAR SCALAR3x3[3][3];

//#ifdef ARTPALIB

#ifndef BOOL
typedef int BOOL;
#endif
#ifndef TRUE
#define TRUE (1)
#endif
#ifndef FALSE
#define FALSE (0)
#endif

#ifndef OK
#define OK (0)
#endif
#ifndef ERROR
#define ERROR (-1)
#endif


//#endif // ARTPALIB

#endif // __SUBDATATYPE_H_
