/*
 * PA-10 commands list
 * Author	: Mitsubishi Heavy Industries Co. LTD.
 * Modified by	: Toshio HORI <toshi@etl.go.jp>
 *
 * $Id: pacmd.h,v 1.1.1.1 2003/07/14 14:31:49 asahi Exp $
 *
 */

#ifndef	_pacmd_H
#define	_pacmd_H

/**
 **	HOST EVENT number description.
 **/
#define	PowerOnEvent		1	/** DSP̿ **/
#define	PowerOffEvent		2	/** DSP̿λ **/
#define	StopEvent		3	/** ֥졼 **/
#define	AutoStopEvent		4	/** ưλ **/
#define	SelfCheckEvent		5	/** < ̤ > **/
#define	InputCheckEvent		6	/** < ̤ > **/
#define	OutputCheckEvent	7	/** < ̤ > **/
#define	ParamSetEvent		8	/** < ̤ > **/

#define	EachAngleEvent		9	/** Ƽ **/
#define	EachVelocityEvent	10	/** Ƽ® **/
#define	CurrentEvent		11	/** ή⡼ **/
#define	DeadWeightEvent		12	/** ⡼ **/
#define	RMRCStartEvent1		131	/** ܥåȺɸк **/ 
#define	RMRCStartEvent2		132	/** ɸк **/
#define	RMRCStartEvent3		133	/** ܥåȺɸ® **/
#define	RMRCStartEvent4		134	/** ɸ® **/
#define	RMRCStartEvent5		135	/** ɸ® **/ 
#define	RMRCStartEvent6		136	/** ɸк **/
#define	RMRCStartEvent7		137	/** Ĺ **/
#define	RMRCStartEvent8		138	/** ɸ͸Ǥ **/
#define	RMRCStartEvent9		139	/** ܥåȺɸк **/

#define	RMRCStartEvent10	140	/** ܥåȺɸ® **/
#define	RMRCStartEvent11	141	/** аֻ **/
#define	RMRCStartEvent12	142	/** л **/
#define	RMRCStartEvent13	143	/** а֡ **/
#define	RMRCStartEvent14	144	/** Ĺ Ver.1.3 **/
#define	RMRCStartEvent15	145	/** Ĺ® Ver.1.3 **/
#define	RMRCStartEvent16	146	/** ܥåȰֻ® Ver.1.3 **/
#define	RMRCStartEvent17	147	/** ֻ® Ver.1.3 **/
#define	RMRCStartEvent18	148	/** ͽ **/

#define	PBTOPStartEvent		14	/** ץ쥤Хå(Ϣ³) **/
#define	PlayBackStartEvent	14	/** ץ쥤Хå(Ϣ³)**/
#define	ProgramCPEvent		15	/** <ȯ٥> **/
#define	MakeCircleEvent		16	/** <       > **/
#define	MakeArcEvent		17	/** <       > **/
#define	MakeLineEvent		18	/** <       > **/

#define	OverDataEvent		19	/** ץ쥤Хåǡλ **/
#define	TopPointerEvent		20	/** ݥ󥿰ưȥå **/
#define MakeAxisEvent		21      /** < ̤ > **/
#define	ForeStepEvent		22	/** ץ쥤Хå(STEP)**/
#define	BackStepEvent		23	/** ץ쥤Хå(STEP)**/
#define	ChVelocityEvent		24	/** ץ쥤Хå®ѹ **/
#define	PauseEvent		25	/**  **/
#define	RestartEvent		26	/** ߲ **/
#define	DirectStartEvent	27	/** ήɹ⡼ **/
#define	ReadCPEvent		28	/** CPɹ **/
#define	ReadPTPEvent		29	/** PTPɹ **/
#define	ErrorLevel1Event	30	/** ̿ŪǤʤ顼ȯ **/
#define	DirectStopEvent		31	/**  **/
#define	ErrorLevel2Event	32	/** ̿Ū顼ȯ **/
#define	PlayBackReadyEvent	33	/** ݥ󥿤ȥܥåȤμ͹碌 **/
#define	PlayBackReadyEvent2	44	/** ݥ󥿤ȥܥåȤμ͹碌 **/
#define	CancelEvent		45
#define	ChVptnEvent		46	/** ǡ®٥ѥѹ **/
#define	ChRotateEvent		47	/** ǡž®ѹ **/
#define	EACHVelocityEvent	48	/** Ƽǥե®ѹ **/
#define	RMRCVelocityEvent	49	/** rmrcǥե®ѹ **/

#define	PBENDStartEvent		34	/** ץ쥤Хå(Ϣ³) **/
#define	EndPointerEvent		35	/** ݥ󥿰ưܥȥ **/
#define	DeletePointerEvent	36	/** ߤμΥݥ󥿾õ **/
#define	DeleteAllPointerEvent	37	/** ݥ󥿤ξõ **/
#define	DataLoad		40	/** ѥ󤫤ǡΥ **/
#define	DataSave		41	/** ѥإǡ򥻡 **/
#define	GetPntAttrEvent		42	/** ȶǡ**/

#define	InitDSPEvent		50	/** DSPǡѥ **/
#define	ChWaitTimeEvent		51	/** Ԥ֤ѹ **/
#define	ReadCurrentEvent	52	/** ήɹ **/
#define	JouCtrlEvent		53	/** ĹON/OFF **/
#define	JouParamResetEvent	54	/** Ĺѥ᡼Υꥻå **/
#define	RMRCRotateEvent		55	/** rmrcǥեȲž®ѹ **/
#define	SetToolEvent		56	/** -ѥ-ѹ **/
#define	DefFPEvent		57	/** ܻ **/
#define	DefSPEvent		58	/**  **/
#define	DefOPEvent		59	/** ¾ **/

#define	ReturnFPEvent		60	/** ܻ **/
#define	ReturnSPEvent		61	/**  **/
#define	ReturnOPEvent		62	/** ¾ **/
#define	ReadFPEvent		601	/** ܻǡɹ **/
#define	ReadSPEvent		611	/** ǡɹ **/
#define	ReadOPEvent		621	/** ¾ǡɹ **/
#define	ReadReplaceEvent	63	/** ݥ󥿥ǡץ쥤 **/
#define	ReadPTPEvent2		64	/** PTPǡ **/
#define	ReadCPEvent2		65	/** PTPǡ **/
#define	SForeStepEvent		66	/** ݥ󥿽 **/
#define	SBackStepEvent		67	/** ݥ󥿵 **/
#define	JumpPointerEvent	68	/** ݥ󥿤ؤΥ **/
#define	DeleteCPointerEvent	69	/** ߤΥݥ󥿤ξõ **/

#define	ArcSearchEvent		70	/** (߸)ƻݥ󥿤ܤ **/
#define	ReadArc1Event		701	/** (߸)1֥ݥ󥿤򶵼 **/
#define	ReadArc2Event		702	/** (߸)2֥ݥ󥿤򶵼 **/
#define	ReadArc3Event		703	/** (߸)3֥ݥ󥿤򶵼 **/
#define	CircleSearchEvent	71	/** () ƻݥ󥿤ܤ **/
#define	ReadCircle1Event	711	/** () 1֥ݥ󥿤򶵼 **/
#define	ReadCircle2Event	712	/** () 2֥ݥ󥿤򶵼 **/
#define	ReadCircle3Event	713	/** () 3֥ݥ󥿤򶵼 **/
#define	PBVelocityEvent		72	/** ץ쥤Хå®ٷѹ **/

#define	SendMatrixEvent		80	/** ɸѴޥȥå **/
#define	SendJSEvent		81	/** ®ٻͤΥ **/
#define	SendNOAPEvent		82	/** ɸNOAPΥ **/
#define	SendFCEvent		83	/** ɸNOAPΥ **/
#define	SendANGLEEvent		84	/** ɸƼΥ **/

#define	EachAngleEvent7		99
#define	ErrorResetEvent		100

#define	iStopEvent		203	/** <ȯ٥> **/
#define	iAutoStopEvent		204	/** ưλ **/
#define	iPouseEvent		225	/** <       > **/
#define	iOverDataEvent		219	/** <       > **/

#define	LoadParamEvent		993	/** ǥեȥѥ᡼  **/
#define	SaveParamEvent		994	/** ǥեȥѥ᡼  **/
#define	SetDateEvent		995	/** ǯ **/
#define	SetTimeEvent		996	/** ֤ **/
#define	ResetErrLogEvent	997	/** 顼Υꥻå **/
#define	GetErrLogEvent		998	/** 顼Ƥ4ݡȤ **/
#define	RunningTestEvent	999

/*======== <<Ver. 1.3 ɲå٥>> =============================*/
/* Ƽץ쥤Хå,¾ץ쥤Хåطɲäȼ٥Ȥ	*/
#define ReadPTPEvent3		43	/** Ƽ° **/
#define ReadPTPEvent4		73	/** Ƽ°ζǡ **/
#define JouCtrlEvent2		74	/** ĹON/OFF(̤) **/
#define PlayBackReadyEvent3	75	/** Ƽץ쥤Хåư **/
#define GetPntAttrEvent2	76	/** ,߸̶ǡ **/

#define	EachAngleEvent2		77	/** Ƽꥢ⡼ **/
#define PBMOVEmtxEvent		90	/**  **/
#define SetDWDIOEvent		91	/** (CP)DOǡ° **/
#define SetDirectionEvent	92	/** οդ **/
#define SetDIOLockEvent		93 /** ץ쥤ХåDIOμưͭ/̵ **/

	/* ߥ졼ɲäȼ٥Ȥ	*/
#define SimOnEvent		301	/** ߥ졼󳫻 **/
#define SimOffEvent		302	/** ߥ졼λ **/

	/* 쥯ɲäȼ٥Ȥ 	*/
#define DIOEnableEvent		400
#define DIODisableEvent		401
#define ResetTimeOutEvent	102	/** 486ȤƱ **/
#define SetTimeOutEvent		103	/** ॢȻ  **/

	/* ֥եå,¾٥Ȥ	*/
#define DWParamSetEvent		410 /** üӥ󥰥ѥ᡼ **/
#define DioOnEvent		500 /** DIOǡͭ **/
#define DioOffEvent		501 /** DIOǡ̵ **/
#define SetDIOEvent		503 /** DIO°ѹ **/
#define SetIDEvent		504 /** ID°ѹ **/
#define SendwaveEvent		510 /**  **/
#define SendsensorEvent		511 /**  **/
#define SendSENSOREvent		512 /**  **/
#define SendWAVEEvent		513 /**  **/
#define SendOffsetEvent		514 /** ü֥եåȤ **/
#define ResetOffsetEvent	515 /** ü֥եåȤΥꥻå **/
#define SetOffsetVelEvent	516 /** ü֥եåȥߥå® **/

/**
 **	HOST STATUS number description.
 **/
#define	NoStatus		1	/** ̤ **/
#define	Initial			2	/** ̤ **/
#define	BrakeStop		3	/** ֥졼߾ **/
#define	SelfCheck		4	/** ̤ **/
#define	InputCheck		5	/** ̤ **/
#define	OutputCheck		6	/** ̤ **/
#define	ParamSet		7	/** ̤ **/
#define	EachAngle		8	/** Ƽ **/
#define	EachVelocity		9	/** Ƽ® **/
#define	Direct			10	/** ܥå **/
#define	Current			11	/** ʰ׼ **/
#define	DeadWeight		12	/**  **/
#define	RMRC			13	/** RMRC **/
#define	RMRCMatching		14	/** RMRCĹ **/
#define	PouseA			15	/** Ƽ極ܥå **/
#define	Program			16	/** CPǡץ쥤Хå **/
#define	ProgramMatching		17	/** Ƽ **/
#define	MakeCircle		18	/**  **/
#define	MakeLine		19	/** ľ **/
#define	MakeArc			20	/** ߸ **/
#define	PouseB			21	/** RMRC極ܥå **/
#define	Ready			22	/** ץ쥤ХåԾ **/
/**		       			(23)	Reserved 		*/
/**		       			(24) 	Reserved		*/
#define	Ready2			25	/** ץ쥤ХåԾ **/
#define	ToReady			26	/** ץ쥤ХåԾ **/
#define	RMRCsub			27	/** Ĺưǽ **/

/*======== <<Ver. 1.3 ɲþ>> ==================================*/
#define	RMRCreal		28	/** Ĺޤꥢ⡼ **/
#define	MakeAxis		29	/** ץ쥤ХåƼֳٹ碌 **/
#define	RMRCmtx			30
			/** ɸѴ줿ֻذư־ **/
#define	RMRCsub2		31	/** Ĺưǽ(S3) **/
#define	AXISreal		32	/** Ƽꥢ⡼ **/

#endif /* ifndef _pacmd_H */

/* EOF */
